## net.sf.saxon.lib
Class StandardURIChecker

    java.lang.Object
      net.sf.saxon.lib.StandardURIChecker

All Implemented Interfaces:
  Serializable, URIChecker

    public class StandardURIChecker

extends Object
implements URIChecker, Serializable

This class checks whether a string is a valid URI. Different checking rules can be chosen by including a different URIChecker in the `ConversionRules` used when the value is checked.

See Also:
  Serialized Form

Constructor Summary
`protected` `StandardURIChecker()` Protected constructor to allow subclassing

Method Summary
`static StandardURIChecker` `getInstance()`
`boolean` `isValidURI(CharSequence value)` Validate a string to determine whether it is a valid URI
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardURIChecker

    protected StandardURIChecker()

  Protected constructor to allow subclassing

Method Detail

### getInstance

    public static StandardURIChecker getInstance()

### isValidURI

    public boolean isValidURI(CharSequence value)

  Validate a string to determine whether it is a valid URI

  Specified by:
    `isValidURI` in interface `URIChecker`
  Parameters:
    `value` - the string to be checked
  Returns:
    true if the string is considered to be a valid URI

### main

    public static void main(String[] args)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.